#include "includes/template-basic.h"
#pragma optimize 1

void APPLICATION()
{
  // nastaveni WTD
  WDTCON = 0b0000.1111;			
	OPTION |= 0b0000.1111;	

	// nastaveni dob pro bliknuti LED
  setOnPulsingOUT2(5);
	setOffPulsingOUT2(10);
	
  // povoleni SPI
  enableSPI(); 
  // vymazani WDT
  clrwdt();
  
while (1)
	{
    clrwdt(); 
    // přečte status sb. SPI
    getStatusSPI();
    // pokud přišel paket                   
    if (_SPIRX) 
    {    // a CRC není v pořádku
         if (!_SPICRCok)
            // zpráva se zahodí
            goto restartSPI;
        // jinak jsou přesunuta data do SPI bufferu...
        bufferRF[0] = bufferCOM[0];
        // blikne LEDkou   
        pulseLED();
        // nastaví délku RF paketu na 1
        DLEN = 1;  
        // odešle RF paket
        RFTXpacket();
               
        restartSPI:
          // restart st. automatu
          startSPI(0);               
    } // konec podminky
	} // konec while
}// konec app





// *********************************************************************

